# environment::get-variable

Returns the value of the specified environment variable.

### Usage

`string environment::get-variable(name)`

### Parameters

Name | Type | Description
--- | --- | ---
name | string | The environment variable of which the value should be returned.

### Return Value

The value of the specified environment variable.

### Exceptions

The function will fail in any of the following circumstances:

- Environment variable name does not exist.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)